Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.messages
[Java] Class Message

    java.lang.Object
      org.codehaus.groovy.control.messages.Message

    public abstract class Message
    extends Object

A base class for compilation messages.

Authors:
  Chris Poirier

Version:
  \$Id: Message.java 14269 2008-12-04 16:06:13Z blackdrag \$

Method Summary
`static Message` | `create(String text, ProcessingUnit owner)` Creates a new Message from the specified text.
`static Message` | `create(String text, Object data, ProcessingUnit owner)` Creates a new Message from the specified text.
`static Message` | `create(SyntaxException error, SourceUnit owner)` Creates a new Message from the specified SyntaxException.
`void` | `write(PrintWriter writer, Janitor janitor)` Writes the message to the specified PrintWriter.
`void` | `write(PrintWriter writer)` A synonym for write( writer, owner, null ).

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### create

    public static Message create(String text, ProcessingUnit owner)

  Creates a new Message from the specified text.

### create

    public static Message create(String text, Object data, ProcessingUnit owner)

  Creates a new Message from the specified text.

### create

    public static Message create(SyntaxException error, SourceUnit owner)

  Creates a new Message from the specified SyntaxException.

### write

    public void write(PrintWriter writer, Janitor janitor)

  Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.

### write

    public final void write(PrintWriter writer)

  A synonym for write( writer, owner, null ).

Copyright © 2003-2010 The Codehaus. All rights reserved.